import request from '@/utils/request'

// 查询配置
export function getConfig (params) {
    return request({
      url: '/config',
      method: 'GET',
      params
    })
  }

// 新增配置
export function postConfig (data) {
    const { modalType } = data
    return request({
      url: '/config',
      method: modalType === 'edit' ? 'PUT' : 'POST',
      data
    })
}

// 删除配置
export function deleteConfig (id) {
    return request({
      url: `/config/${id}`,
      method: 'DELETE'
    })
}

// 新增标签配置
export function postTag (data) {
    const { modalType } = data
    return request({
      url: `/config/tag`,
      method: modalType === 'edit' ? 'PUT' : 'POST',
      data
    })
}

// 查询标签配置
export function getTag (params) {
    return request({
      url: `/config/tag`,
      method: 'GET',
      params
    })
}

// 删除标签
export function deleteTag (id) {
    return request({
      url: `/config/tag/${id}`,
      method: 'DELETE'
    })
}

// 新增教室配置
export function postClass (data) {
    const { modalType } = data
    return request({
      url: `/config/classroom`,
      method: modalType === 'edit' ? 'PUT' : 'POST',
      data
    })
}

// 查询教室配置
export function getClass (params) {
    return request({
      url: `/config/classroom`,
      method: 'GET',
      params
    })
}

// 删除教室配置
export function deleteClass (id) {
    return request({
      url: `/config/classroom/${id}`,
      method: 'DELETE'
    })
}
